Bug 195124 - Versioning frametwork should be able to work via file objects
Versioning frametwork should be able to work via file objects
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Code
7.0
All All
: P3 (vote)
: TBD
Assigned To: Tomas Stupka
issues@versioncontrol
cndreq_postponed
:
Depends on: 198060 199806 205612 207340
Blocks: 195121
  Show dependency treegraph
 
Reported: 2011-02-07 12:14 UTC by Vladimir Kvashin
Modified: 2012-01-24 13:35 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2011-02-07 12:14:35 UTC
For now there are a lot of java.io.File usage in versioning frametwork SPIs. This disallows adding versioning support for different file systems.
Comment 1 Tomas Stupka 2011-02-07 13:13:58 UTC
sounds like you want to write a new VCS system which is suposed to work with file objects not based on io.File. right?

the api/spi is designed to work with io.File. where is the defect here?
Comment 2 Vladimir Kvashin 2011-02-07 18:35:56 UTC
Agreed, this is an enhancement rather than a defect.
And sure this isn't for 7.0

The real use case is as follows: CND project allows remote source roots, i.e. these source roots' file objects do not correspond to java.io.File. Such projects lack VCS support.

In subsequent releases we'll need to support at least some VCS providers for such projects. But it isn't possible unless we change/extend existent VCS framework and its SPIs.
Comment 3 Tomas Stupka 2011-02-07 20:34:20 UTC
i see. 

this, of course, also affects some other api-s between vcs and the rest of the IDE (masterfs, ...)

> to support at least some VCS providers for such projects
"some VCS providers" stands for the vcs systems we already support? or do you have something else in mind?
Comment 4 Vladimir Kvashin 2011-02-08 09:02:28 UTC
That might be ADE and probably some of existent providers as well.
Comment 5 Vladimir Voskresensky 2011-02-08 10:10:53 UTC
another probable hook which might be needed for remote is:
- external provider of VCS information for files, folders, ...
Using it we can execute command line tools remotely and provides needed info for IDE
Comment 6 Tomas Stupka 2011-02-21 12:34:10 UTC
from the few statements we got until now it's quite hard to tell what we are supposed to do about this issue. Simply stating that you need the SPI to be FileObject able and that you need some kind of a hook isn't enough. As well as simply replacing io.File with FileObject won't work for several reasons. We probably have to change a lot in the current vcs module(s) and we would like to have a bit more information before we do that. 

So before we start to do anything with the VCS SPI, it would be good to lear more about the remote filesystem and what actually are your intentions with the new api/spi. lets describe and discuss the whole problem here - http://wiki.netbeans.org/FOableVCSSPI195124

thanks
Comment 7 Tomas Stupka 2012-01-24 13:35:51 UTC
seems to be fixed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo